List Pools
curl --request GET \
--url https://api.cyberdesk.io/v1/pools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"pool_parameters": {},
"pool_sensitive_parameters": {},
"machine_count": 0
}
],
"total": 123,
"skip": 123,
"limit": 123,
"included": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}pools
List Pools
List all pools for the organization.
Use the include parameter to fetch related resources in the response.
Related resources are returned in the included array following the JSON:API pattern.
GET
/
v1
/
pools
List Pools
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of related resources to include. Allowed values: machines. Example: include=machines
Required range:
x >= 0Required range:
1 <= x <= 1000Was this page helpful?
⌘I